Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::TransposeMatrixSpace Class Reference

This is the matrix space for TransposeMatrix. More...

`#include <IpTransposeMatrix.hpp>`

Inheritance diagram for Ipopt::TransposeMatrixSpace:
[legend]

## Public Member Functions
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
TransposeMatrix * | MakeNewTransposeMatrix () const
| Method for creating a new matrix of this specific type. More...
Matrix * | MakeNewOrigMatrix () const
Constructors / Destructors
| TransposeMatrixSpace (const MatrixSpace *orig_matrix_space)
| Constructor, given the dimension of the matrix. More...
virtual | ~TransposeMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| TransposeMatrixSpace ()
| Default Constructor. More...
| TransposeMatrixSpace (const TransposeMatrixSpace &)
| Copy Constructor. More...
void | operator= (const TransposeMatrixSpace &)
| Overloaded Equals Operator. More...

## Private Attributes
SmartPtr< const MatrixSpace > | orig_matrix_space_
| Matrix space of the original matrix. More...

## Detailed Description

This is the matrix space for TransposeMatrix.

Definition at line 113 of file IpTransposeMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::TransposeMatrixSpace::TransposeMatrixSpace | ( | const MatrixSpace * | orig_matrix_space | ) |
| inline

Constructor, given the dimension of the matrix.

Definition at line 119 of file IpTransposeMatrix.hpp.

virtual Ipopt::TransposeMatrixSpace::~TransposeMatrixSpace | ( |  | ) |
| inline virtual

Destructor.

Definition at line 126 of file IpTransposeMatrix.hpp.

Ipopt::TransposeMatrixSpace::TransposeMatrixSpace | ( |  | ) |
| private

Default Constructor.

Ipopt::TransposeMatrixSpace::TransposeMatrixSpace | ( | const TransposeMatrixSpace & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual Matrix* Ipopt::TransposeMatrixSpace::MakeNew | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 132 of file IpTransposeMatrix.hpp.

TransposeMatrix* Ipopt::TransposeMatrixSpace::MakeNewTransposeMatrix | ( |  | ) | const
| inline

Method for creating a new matrix of this specific type.

Definition at line 138 of file IpTransposeMatrix.hpp.

Matrix* Ipopt::TransposeMatrixSpace::MakeNewOrigMatrix | ( |  | ) | const
| inline

Definition at line 143 of file IpTransposeMatrix.hpp.

void Ipopt::TransposeMatrixSpace::operator= | ( | const TransposeMatrixSpace & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<const MatrixSpace> Ipopt::TransposeMatrixSpace::orig_matrix_space_
| private

Matrix space of the original matrix.

Definition at line 168 of file IpTransposeMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpTransposeMatrix.hpp